package com.fjhx.flow.entity.flow.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

/**
 * 流程连线定义
 *
 * @author yzc
 * @since 2024-04-19
 */
@Getter
@Setter
@TableName("flow_definition_line")
public class FlowDefinitionLine extends BaseIdPo {

    /**
     * 流程定义id
     */
    private Long flowDefinitionId;

    /**
     * 跳转条件
     */
    private String jumpCondition;

    /**
     * 源头节点id
     */
    private Long sourceId;

    /**
     * 目标节点id
     */
    private Long targetId;

    /**
     * 线UUID 前端使用
     */
    private String lineUuid;

}
